# Interface IIDEActionConstants

public interface IIDEActionConstants
Identifiers for IDE menus, toolbars and groups.

This interface contains constants only; it is not intended to be implemented or extended.

Note: want to move IDE-specific stuff out of IWorkbenchActionConstants. There's still some cleanup to be done here (and there).

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_EXT`
Edit menu: name of group for extra Add-like actions (value `"add.ext"`).
`static final String`
`BUILD_EXT`
Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).
`static final String`
`BUILD_GROUP`
Group ids for build toolbar group.
`static final String`
`CLOSE_EXT`
File menu: name of group for extra Close-like actions (value `"close.ext"`).
`static final String`
`CUT_EXT`
Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).
`static final String`
`EDIT_END`
Edit menu: name of group for end of menu (value `"editEnd"`).
`static final String`
`EDIT_START`
Edit menu: name of group for start of menu (value `"editStart"`).
`static final String`
`FILE_END`
File menu: name of group for end of menu (value `"fileEnd"`).
`static final String`
`FILE_START`
File menu: name of group for start of menu (value `"fileStart"`).
`static final String`
`FIND_EXT`
Edit menu: name of group for extra Find-like actions (value `"find.ext"`).
`static final String`
`GO_INTO`
Navigate menu: name of standard Go Into global action (value `"goInto"`).
`static final String`
`GO_TO`
Navigate menu: name of standard Go To submenu (value `"goTo"`).
`static final String`
`GO_TO_RESOURCE`
Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).
`static final String`
`GROUP_ADD`
Pop-up menu: name of group for Add actions (value `"group.add"`).
`static final String`
`GROUP_EDIT`
Pop-up menu and cool bar: name of group for Edit actions (value `"group.edit"`).
`static final String`
`GROUP_FILE`
Pop-up menu and cool bar: name of group for File actions (value `"group.file"`).
`static final String`
`GROUP_NAV`
Coolbar: name of group for Navigate actions (value `"group.nav"`).
`static final String`
`GROUP_SHOW_IN`
Pop-up menu: name of group for Show In actions (value `"group.showIn"`).
`static final String`
`HELP_END`
Help menu: name of group for end of menu (value `"helpEnd"`).
`static final String`
`HELP_START`
Help menu: name of group for start of menu (value `"helpStart"`).
`static final String`
`HISTORY_GROUP`
Group ids for history toolbar group.
`static final String`
`IMPORT_EXT`
File menu: name of group for extra Import-like actions (value `"import.ext"`).
`static final String`
`M_EDIT`
Name of standard Edit menu (value `"edit"`).
`static final String`
`M_FILE`
Name of standard File menu (value `"file"`).
`static final String`
`M_HELP`
Name of standard Help menu (value `"help"`).
`static final String`
`M_NAVIGATE`
Name of standard Navigate menu (value `"navigate"`).
`static final String`
`M_PROJECT`
Name of standard Project menu (value `"project"`).
`static final String`
`M_WINDOW`
Name of standard Window menu (value `"window"`).
`static final String`
`MRU`
File menu: name of "Most Recently Used File" group.
`static final String`
`NAV_END`
Navigate menu: name of group for end of menu (value `"navEnd"`).
`static final String`
`NAV_START`
Navigate menu: name of group for start of menu (value `"navStart"`).
`static final String`
`NEW_EXT`
File menu: name of group for extra New-like actions (value `"new.ext"`).
`static final String`
`NEW_GROUP`
Group ids for new toolbar group.
`static final String`
`OPEN_EXT`
Navigate menu: name of group for extra Open actions (value `"open.ext"`).
`static final String`
`PIN_GROUP`
Group id for pin toolbar group.
`static final String`
`PRINT_EXT`
File menu: name of group for extra Print-like actions (value `"print.ext"`).
`static final String`
`PROJ_END`
Project menu: name of group for start of menu (value `"projEnd"`).
`static final String`
`PROJ_START`
Project menu: name of group for start of menu (value `"projStart"`).
`static final String`
`SAVE_EXT`
File menu: name of group for extra Save-like actions (value `"save.ext"`).
`static final String`
`SAVE_GROUP`
Group ids for save toolbar group.
`static final String`
`SHOW_EXT`
Navigate menu: name of group for extra Show actions (value `"show.ext"`).
`static final String`
`TOOLBAR_FILE`
Workbench toolbar id for file toolbar group.
`static final String`
`TOOLBAR_NAVIGATE`
Workbench toolbar id for navigate toolbar group.
`static final String`
`UNDO_EXT`
Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

## Field Details

### M_FILE

static final String M_FILE
Name of standard File menu (value `"file"`).

See Also:
  - Constant Field Values

### M_EDIT

static final String M_EDIT
Name of standard Edit menu (value `"edit"`).

See Also:
  - Constant Field Values

### M_NAVIGATE

static final String M_NAVIGATE
Name of standard Navigate menu (value `"navigate"`).

See Also:
  - Constant Field Values

### M_PROJECT

static final String M_PROJECT
Name of standard Project menu (value `"project"`).

See Also:
  - Constant Field Values

### M_WINDOW

static final String M_WINDOW
Name of standard Window menu (value `"window"`).

See Also:
  - Constant Field Values

### M_HELP

static final String M_HELP
Name of standard Help menu (value `"help"`).

See Also:
  - Constant Field Values

### FILE_START

static final String FILE_START
File menu: name of group for start of menu (value `"fileStart"`).

See Also:
  - Constant Field Values

### FILE_END

static final String FILE_END
File menu: name of group for end of menu (value `"fileEnd"`).

See Also:
  - Constant Field Values

### NEW_EXT

static final String NEW_EXT
File menu: name of group for extra New-like actions (value `"new.ext"`).

See Also:
  - Constant Field Values

### CLOSE_EXT

static final String CLOSE_EXT
File menu: name of group for extra Close-like actions (value `"close.ext"`).

See Also:
  - Constant Field Values

### SAVE_EXT

static final String SAVE_EXT
File menu: name of group for extra Save-like actions (value `"save.ext"`).

See Also:
  - Constant Field Values

### PRINT_EXT

static final String PRINT_EXT
File menu: name of group for extra Print-like actions (value `"print.ext"`).

See Also:
  - Constant Field Values

### IMPORT_EXT

static final String IMPORT_EXT
File menu: name of group for extra Import-like actions (value `"import.ext"`).

See Also:
  - Constant Field Values

### MRU

static final String MRU
File menu: name of "Most Recently Used File" group. (value `"mru"`).

See Also:
  - Constant Field Values

### EDIT_START

static final String EDIT_START
Edit menu: name of group for start of menu (value `"editStart"`).

See Also:
  - Constant Field Values

### EDIT_END

static final String EDIT_END
Edit menu: name of group for end of menu (value `"editEnd"`).

See Also:
  - Constant Field Values

### UNDO_EXT

static final String UNDO_EXT
Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

See Also:
  - Constant Field Values

### CUT_EXT

static final String CUT_EXT
Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).

See Also:
  - Constant Field Values

### FIND_EXT

static final String FIND_EXT
Edit menu: name of group for extra Find-like actions (value `"find.ext"`).

Note: The value of this constant has changed in 3.3 to match the specification; before 3.3, its value was incorrect (`"cut.ext"`). See bug 155856 for details.

See Also:
  - Constant Field Values

### ADD_EXT

static final String ADD_EXT
Edit menu: name of group for extra Add-like actions (value `"add.ext"`).

See Also:
  - Constant Field Values

### BUILD_EXT

static final String BUILD_EXT
Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).

See Also:
  - Constant Field Values

### TOOLBAR_FILE

static final String TOOLBAR_FILE
Workbench toolbar id for file toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### TOOLBAR_NAVIGATE

static final String TOOLBAR_NAVIGATE
Workbench toolbar id for navigate toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### PIN_GROUP

static final String PIN_GROUP
Group id for pin toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### HISTORY_GROUP

static final String HISTORY_GROUP
Group ids for history toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### NEW_GROUP

static final String NEW_GROUP
Group ids for new toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### SAVE_GROUP

static final String SAVE_GROUP
Group ids for save toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### BUILD_GROUP

static final String BUILD_GROUP
Group ids for build toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### GROUP_ADD

static final String GROUP_ADD
Pop-up menu: name of group for Add actions (value `"group.add"`).

See Also:
  - Constant Field Values

### GROUP_FILE

static final String GROUP_FILE
Pop-up menu and cool bar: name of group for File actions (value `"group.file"`).

See Also:
  - Constant Field Values

### GROUP_EDIT

static final String GROUP_EDIT
Pop-up menu and cool bar: name of group for Edit actions (value `"group.edit"`).

Since:
  3.14
See Also:
  - Constant Field Values

### GROUP_NAV

static final String GROUP_NAV
Coolbar: name of group for Navigate actions (value `"group.nav"`).

See Also:
  - Constant Field Values

### GROUP_SHOW_IN

static final String GROUP_SHOW_IN
Pop-up menu: name of group for Show In actions (value `"group.showIn"`).

Since:
  2.1
See Also:
  - Constant Field Values

### NAV_START

static final String NAV_START
Navigate menu: name of group for start of menu (value `"navStart"`).

See Also:
  - Constant Field Values

### NAV_END

static final String NAV_END
Navigate menu: name of group for end of menu (value `"navEnd"`).

See Also:
  - Constant Field Values

### OPEN_EXT

static final String OPEN_EXT
Navigate menu: name of group for extra Open actions (value `"open.ext"`).

See Also:
  - Constant Field Values

### SHOW_EXT

static final String SHOW_EXT
Navigate menu: name of group for extra Show actions (value `"show.ext"`).

See Also:
  - Constant Field Values

### GO_INTO

static final String GO_INTO
Navigate menu: name of standard Go Into global action (value `"goInto"`).

See Also:
  - Constant Field Values

### GO_TO

static final String GO_TO
Navigate menu: name of standard Go To submenu (value `"goTo"`).

See Also:
  - Constant Field Values

### GO_TO_RESOURCE

static final String GO_TO_RESOURCE
Navigate menu: name of standard Go To Resource global action (value `"goToResource"`). Note:should be in an action factory

See Also:
  - Constant Field Values

### PROJ_START

static final String PROJ_START
Project menu: name of group for start of menu (value `"projStart"`).

See Also:
  - Constant Field Values

### PROJ_END

static final String PROJ_END
Project menu: name of group for start of menu (value `"projEnd"`).

See Also:
  - Constant Field Values

### HELP_START

static final String HELP_START
Help menu: name of group for start of menu (value `"helpStart"`).

See Also:
  - Constant Field Values

### HELP_END

static final String HELP_END
Help menu: name of group for end of menu (value `"helpEnd"`).

See Also:
  - Constant Field Values